(deftheme fred
  "Created 2014-12-03.")

(custom-theme-set-variables
 'fred
 '(ansi-color-names-vector ["#212526" "#ff4b4b" "#b4fa70" "#fce94f" "#729fcf" "#e090d7" "#8cc4ff" "#eeeeec"])
 '(pos-tip-background-color "#111")
 '(pos-tip-foreground-color "#ccc"))

(custom-theme-set-faces
 'fred
 '(default ((default (:foundry "SRC" :family "Hack" :height 110))
            (((class color) (min-colors 4096)) (:foreground "#eeeeec" :background "#151515"))
            (((class color) (min-colors 256)) (:foreground "#eeeeec" :background "#222"))
            (((class color) (min-colors 89)) (:foreground "#eeeeec" :background "black"))))
 '(highlight ((((class color) (min-colors 89)) (:foreground "#2e3436" :background "#edd400"))))
 '(mode-line ((((class color) (min-colors 89)) (:box (:line-width -1 :style released-button) :background "#285577" :foreground "#eeeeec"))
			  (t (:background "#555"))))
 '(mode-line-inactive ((((class color) (min-colors 89)) (:box (:line-width -1 :style released-button) :background "#555753" :foreground "#dddddc"))
					   (t (:background "#555"))))
 '(cursor ((((class color) (min-colors 89)) (:background "#fce94f"))))
 '(fringe ((((class color) (min-colors 89)) (:background "#212526"))))
 '(region ((((class color) (min-colors 89)) (:background "#555753"))))
 '(secondary-selection ((((class color) (min-colors 89)) (:background "#204a87"))))
 '(isearch ((((class color) (min-colors 89)) (:foreground "#eeeeec" :background "#ce5c00"))))
 '(lazy-highlight ((((class color) (min-colors 89)) (:background "#8f5902"))))
 '(trailing-whitespace ((((class color) (min-colors 89)) (:background "#a40000"))))
 '(minibuffer-prompt ((((class color) (min-colors 89)) (:foreground "#b4fa70")) (t (:foreground "yellow"))))
 '(escape-glyph ((((class color) (min-colors 89)) (:foreground "#c4a000"))))
 '(error ((((class color) (min-colors 89)) (:foreground "#ff4b4b"))))
 '(warning ((((class color) (min-colors 89)) (:foreground "#fcaf3e"))))
 '(success ((((class color) (min-colors 89)) (:foreground "#8ae234"))))

 '(font-lock-builtin-face ((((class color) (min-colors 89)) (:foreground "#e090d7"))))
 '(font-lock-comment-face ((((class color) (min-colors 89)) (:foreground "#73d216"))))
 '(font-lock-constant-face ((((class color) (min-colors 89)) (:foreground "#e9b2e3"))))
 '(font-lock-function-name-face ((((class color) (min-colors 89)) (:foreground "#fce94f"))))
 '(font-lock-keyword-face ((((class color) (min-colors 89)) (:foreground "#b4fa70"))))
 '(font-lock-string-face ((((class color) (min-colors 89)) (:foreground "#e9b96e"))))
 '(font-lock-type-face ((((class color) (min-colors 89)) (:foreground "#8cc4ff"))))
 '(font-lock-variable-name-face ((((class color) (min-colors 89)) (:foreground "#fcaf3e"))))

 '(link ((((class color) (min-colors 89)) (:underline t :foreground "#729fcf"))
		 (t (:foreground "yellow" :underline t))))
 '(link-visited ((((class color) (min-colors 89)) (:underline t :foreground "#3465a4"))))
 '(button ((t (:foreground "yellow"))))

 '(company-tooltip ((t (:background "#0f0f0f"))))
 '(company-scrollbar-bg ((t (:background "#232323"))))
 '(company-scrollbar-fg ((t (:background "#161616"))))
 '(company-tooltip-selection ((t (:background "#433323"))))
 '(company-tooltip-common ((t (:inherit font-lock-constant-face))))

 '(ivy-current-match ((t (:foreground "#1BFFFF" :weight bold))))
 '(ivy-minibuffer-match-face-3 ((t (:background "#777ccc" :weight bold))))
 '(ivy-remote ((t (:foreground "deep sky blue"))))
 '(ivy-subdir ((t (:inherit dired-directory))))

 '(diredp-date-time ((t (:foreground "#0696AC34DBD5"))))
 '(diredp-dir-heading ((t (:foreground "deep sky blue"))))
 '(diredp-dir-name ((t (:foreground "#4E60C1DBFFFF"))))
 '(dired-directory ((t (:foreground "#4E60C1DBFFFF"))))
 '(diredp-file-name ((t (:foreground "light grey"))))
 '(diredp-file-suffix ((t (:foreground "dark gray"))))

 '(nm-authors-face ((t (:inherit default))))
 '(nm-read-face ((t (:inherit default))))

 '(column-enforce-face ((((class mono)) :inverse-video t :weight bold :underline t)
                        (t :background "gray20" :foreground "violet")))

 '(rainbow-delimiters-depth-1-face ((t (:inherit rainbow-delimiters-base-face :foreground "grey80"))))
 '(rainbow-delimiters-depth-2-face ((t (:inherit rainbow-delimiters-base-face :foreground "red"))))
 '(rainbow-delimiters-depth-3-face ((t (:inherit rainbow-delimiters-base-face :foreground "orange"))))
 '(rainbow-delimiters-depth-4-face ((t (:inherit rainbow-delimiters-base-face :foreground "yellow"))))
 '(rainbow-delimiters-depth-5-face ((t (:inherit rainbow-delimiters-base-face :foreground "green"))))
 '(rainbow-delimiters-depth-6-face ((t (:inherit rainbow-delimiters-base-face :foreground "#44444ff"))))
 '(rainbow-delimiters-depth-7-face ((t (:inherit rainbow-delimiters-base-face :foreground "#dd1299"))))
 '(rainbow-delimiters-depth-8-face ((t (:inherit rainbow-delimiters-base-face :foreground "violet"))))
 '(rainbow-delimiters-depth-9-face ((t (:inherit rainbow-delimiters-base-face :foreground "lime")))))

(provide-theme 'fred)
